clan::Vec3< Type > Class Template Reference - ClanLib SDK
Description: clan::Vec3< Type > Class Template Reference

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clan::Vec3< Type > Class Template Reference
clanCore Math

3D vector More...

`#include <vec3.h>`

## Public Types
typedef Type | datatype

## Public Member Functions
| Vec3 ()
| Vec3 (const Type &p1, const Type &p2, const Type &p3)
| Vec3 (const Type &scalar)
| Vec3 (const Type *array_xyz)
| Vec3 (const Vec2< Type > &copy, const Type &p3)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< double > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< float > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec3< int > &copy)
| Vec3 (const Vec4< Type > &copy)
Angle | angle (const Vec3< Type > &vector) const
| Calculate the angle between this vector and an other vector.
Angle | angle_normed (const Vec3< Type > &vector) const
| Calculate the angle between this vector and an other vector, where the vectors are unit vectors.
Vec3< Type > & | cross (const Vec3< Type > &vector)
| Calculate the cross product between this vector and an other vector.
Type | distance (const Vec3< Type > &vector) const
| Calculate the distance between this vector and an other vector.
Type | dot (const Vec3< Type > &vector) const
| Dot products this vector with an other vector.
bool | is_equal (const Vec3< Type > &other, Type epsilon) const
| Returns true if equal within the bounds of an epsilon.
Type | length () const
| Returns the length (magnitude) of this vector.
double | length () const
float | length () const
Vec3< Type > & | normalize ()
| Normalizes this vector.
bool | operator!= (const Vec3< Type > &vector) const
| != operator.
void | operator*= (const Vec3< Type > &vector)
| *= operator.
void | operator*= (Type value)
| *= operator.
void | operator+= (const Vec3< Type > &vector)
| += operator.
void | operator+= (Type value)
| += operator.
Vec3< Type > | operator- () const
| operator.
void | operator-= (const Vec3< Type > &vector)
| -= operator.
void | operator-= (Type value)
| -= operator.
void | operator/= (const Vec3< Type > &vector)
| /= operator.
void | operator/= (Type value)
| /= operator.
bool | operator< (const Vec3< Type > &vector) const
| < operator.
Vec3< Type > & | operator= (const Vec3< Type > &vector)
| = operator.
bool | operator== (const Vec3< Type > &vector) const
| == operator.
Vec3< Type > & | rotate (const Angle &angle, const Vec3< Type > &axis)
| Rotate this vector around an axis. Same as glRotate[f|d](angle, a);.
Vec3< Type > & | round ()
| Rounds all components on this vector.

## Static Public Member Functions
static Vec3< Type > | cross (const Vec3< Type > &vector1, const Vec3< Type > &vector2)
| Calculate the cross product between two vectors.
static Type | dot (const Vec3< Type > &vector1, const Vec3< Type > &vector2)
| Dot products between two vectors.
static bool | is_equal (const Vec3< Type > &first, const Vec3< Type > &second, Type epsilon)
| Returns true if equal within the bounds of an epsilon.
static Vec3< Type > | normalize (const Vec3< Type > &vector)
| Normalizes a vector.
static Vec3< Type > | reflect (const Vec3< Type > &incident, const Vec3< Type > &normal)
| Calculate the reflection direction for an incident vector.
static Vec3< Type > | rotate (const Vec3< Type > &vector, const Angle &angle, const Vec3< Type > &axis)
| Rotate a vector around an axis. Same as glRotate[f|d](angle, a);.
static Vec3< Type > | round (const Vec3< Type > &vector)
| Rounds all components on a vector.

## Public Attributes
union { |
Type r |
Type s |
Type x |
}; |  |
union { |
Type g |
Type t |
Type y |
}; |  |
union { |
Type b |
Type u |
Type z |
}; |  |

## Detailed Description

template<typename Type>
class clan::Vec3< Type >

3D vector

These vector templates are defined for:
char (Vec3c), unsigned char (Vec3uc), short (Vec3s),
unsigned short (Vec3us), int (Vec3i), unsigned int (Vec3ui), float (Vecdf), double (Vec3d)

## Member Typedef Documentation

## ◆ datatype

template<typename Type >

typedef Type clan::Vec3< Type >::datatype

## Constructor & Destructor Documentation

## ◆ Vec3() [1/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( |  | ) |
| inline

Referenced by clan::Vec3< Type >::operator-().

## ◆ Vec3() [2/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Type & | scalar | ) |
| inlineexplicit

## ◆ Vec3() [3/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Vec2< Type > & | copy,
|  | const Type & | p3 )
| inlineexplicit

References clan::Vec2< Type >::x, clan::Vec3< Type >::x, clan::Vec2< Type >::y, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ Vec3() [4/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Vec4< Type > & | copy | ) |
| inlineexplicit

References clan::Vec3< Type >::x, clan::Vec4< Type >::x, clan::Vec3< Type >::y, clan::Vec4< Type >::y, clan::Vec3< Type >::z, and clan::Vec4< Type >::z.

## ◆ Vec3() [5/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Vec3< double > & | copy | ) |

## ◆ Vec3() [6/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Vec3< float > & | copy | ) |

## ◆ Vec3() [7/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Vec3< int > & | copy | ) |

## ◆ Vec3() [8/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Type & | p1,
|  | const Type & | p2,
|  | const Type & | p3 )
| inlineexplicit

## ◆ Vec3() [9/33]

template<typename Type >

clan::Vec3< Type >::Vec3 | ( | const Type * | array_xyz | ) |
| inlineexplicit

## ◆ Vec3() [10/33]

clan::Vec3< unsignedchar >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [11/33]

clan::Vec3< unsignedchar >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [12/33]

clan::Vec3< unsignedchar >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [13/33]

clan::Vec3< char >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [14/33]

clan::Vec3< char >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [15/33]

clan::Vec3< char >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [16/33]

clan::Vec3< unsignedshort >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [17/33]

clan::Vec3< unsignedshort >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [18/33]

clan::Vec3< unsignedshort >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [19/33]

clan::Vec3< short >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [20/33]

clan::Vec3< short >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [21/33]

clan::Vec3< short >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [22/33]

clan::Vec3< int >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [23/33]

clan::Vec3< int >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [24/33]

clan::Vec3< int >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [25/33]

clan::Vec3< unsignedint >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [26/33]

clan::Vec3< unsignedint >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [27/33]

clan::Vec3< unsignedint >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [28/33]

clan::Vec3< float >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [29/33]

clan::Vec3< float >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [30/33]

clan::Vec3< float >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [31/33]

clan::Vec3< double >::Vec3 | ( | const Vec3< float > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [32/33]

clan::Vec3< double >::Vec3 | ( | const Vec3< double > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## ◆ Vec3() [33/33]

clan::Vec3< double >::Vec3 | ( | const Vec3< int > & | copy | ) |
| inline

References clan::x, clan::y, and clan::z.

## Member Function Documentation

## ◆ angle()

template<typename Type >

Angle clan::Vec3< Type >::angle | ( | const Vec3< Type > & | vector | ) | const

Calculate the angle between this vector and an other vector.

Parameters

  vector | Second vector used to calculate angle.

Returns
  The angle between the two vectors.

## ◆ angle_normed()

template<typename Type >

Angle clan::Vec3< Type >::angle_normed | ( | const Vec3< Type > & | vector | ) | const

Calculate the angle between this vector and an other vector, where the vectors are unit vectors.

Parameters

  vector | Second vector used to calculate angle.

Returns
  The angle between the two vectors.

## ◆ cross() [1/2]

template<typename Type >

Vec3< Type > & clan::Vec3< Type >::cross | ( | const Vec3< Type > & | vector | ) |

Calculate the cross product between this vector and an other vector.

Operates in the native datatype

Parameters

  vector | = Second vector used to perform the calculation.

Returns
  reference to this object

## ◆ cross() [2/2]

template<typename Type >

static Vec3< Type > clan::Vec3< Type >::cross | ( | const Vec3< Type > & | vector1,
|  | const Vec3< Type > & | vector2 )
| static

Calculate the cross product between two vectors.

Parameters

  vector1 | = The first vector
  vector2 | = The second vector

Returns
  The cross product

## ◆ distance()

template<typename Type >

Type clan::Vec3< Type >::distance | ( | const Vec3< Type > & | vector | ) | const

Calculate the distance between this vector and an other vector.

Parameters

  vector | = Second vector used to calculate distance.

Returns
  The distance between the two vectors.

## ◆ dot() [1/2]

template<typename Type >

Type clan::Vec3< Type >::dot | ( | const Vec3< Type > & | vector | ) | const
| inline

Dot products this vector with an other vector.

Operates in the native datatype

Parameters

  vector | Second vector used for the dot product.

Returns
  The resulting dot product of the two vectors.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ dot() [2/2]

template<typename Type >

static Type clan::Vec3< Type >::dot | ( | const Vec3< Type > & | vector1,
|  | const Vec3< Type > & | vector2 )
| inlinestatic

Dot products between two vectors.

Returns
  The dot product

## ◆ is_equal() [1/2]

template<typename Type >

static bool clan::Vec3< Type >::is_equal | ( | const Vec3< Type > & | first,
|  | const Vec3< Type > & | second,
|  | Type | epsilon )
| inlinestatic

Returns true if equal within the bounds of an epsilon.

Parameters

  first | = Value A
  second | = Value B
  epsilon | = The epsilon (eg FLT_EPSILON/2, DBL_EPSILON/2)

Referenced by clan::Vec3< Type >::is_equal().

## ◆ is_equal() [2/2]

template<typename Type >

bool clan::Vec3< Type >::is_equal | ( | const Vec3< Type > & | other,
|  | Type | epsilon ) const
| inline

Returns true if equal within the bounds of an epsilon.

Parameters

  other | = Other value
  epsilon | = The epsilon (eg FLT_EPSILON/2, DBL_EPSILON/2)

References clan::Vec3< Type >::is_equal().

## ◆ length() [1/2]

double clan::Vec3< double >::length | ( |  | ) | const
| inline

References clan::x, clan::y, and clan::z.

## ◆ length() [2/2]

float clan::Vec3< float >::length | ( |  | ) | const
| inline

References clan::x, clan::y, and clan::z.

## ◆ operator!=()

template<typename Type >

bool clan::Vec3< Type >::operator!= | ( | const Vec3< Type > & | vector | ) | const
| inline

!= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator*=() [1/2]

template<typename Type >

void clan::Vec3< Type >::operator*= | ( | const Vec3< Type > & | vector | ) |
| inline

*= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator*=() [2/2]

template<typename Type >

void clan::Vec3< Type >::operator*= | ( | Type | value | ) |
| inline

*= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator+=() [1/2]

template<typename Type >

void clan::Vec3< Type >::operator+= | ( | const Vec3< Type > & | vector | ) |
| inline

+= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator+=() [2/2]

template<typename Type >

void clan::Vec3< Type >::operator+= | ( | Type | value | ) |
| inline

+= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator-()

template<typename Type >

Vec3< Type > clan::Vec3< Type >::operator- | ( |  | ) | const
| inline

- operator.

References clan::Vec3< Type >::Vec3(), clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator-=() [1/2]

template<typename Type >

void clan::Vec3< Type >::operator-= | ( | const Vec3< Type > & | vector | ) |
| inline

-= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator-=() [2/2]

template<typename Type >

void clan::Vec3< Type >::operator-= | ( | Type | value | ) |
| inline

-= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator/=() [1/2]

template<typename Type >

void clan::Vec3< Type >::operator/= | ( | const Vec3< Type > & | vector | ) |
| inline

/= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator/=() [2/2]

template<typename Type >

void clan::Vec3< Type >::operator/= | ( | Type | value | ) |
| inline

/= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator<()

template<typename Type >

bool clan::Vec3< Type >::operator< | ( | const Vec3< Type > & | vector | ) | const
| inline

< operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator=()

template<typename Type >

Vec3< Type > & clan::Vec3< Type >::operator= | ( | const Vec3< Type > & | vector | ) |
| inline

= operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ operator==()

template<typename Type >

bool clan::Vec3< Type >::operator== | ( | const Vec3< Type > & | vector | ) | const
| inline

== operator.

References clan::Vec3< Type >::x, clan::Vec3< Type >::y, and clan::Vec3< Type >::z.

## ◆ reflect()

template<typename Type >

static Vec3< Type > clan::Vec3< Type >::reflect | ( | const Vec3< Type > & | incident,
|  | const Vec3< Type > & | normal )
| static

Calculate the reflection direction for an incident vector.

Normal vector should be normalized

## ◆ rotate() [1/2]

template<typename Type >

Vec3< Type > & clan::Vec3< Type >::rotate | ( | const Angle & | angle,
|  | const Vec3< Type > & | axis )

Rotate this vector around an axis. Same as glRotate[f|d](angle, a);.

Parameters

  angle | Angle to rotate.
  axis | Rotation axis.

Returns
  reference to this object

## ◆ rotate() [2/2]

template<typename Type >

static Vec3< Type > clan::Vec3< Type >::rotate | ( | const Vec3< Type > & | vector,
|  | const Angle & | angle,
|  | const Vec3< Type > & | axis )
| static

Rotate a vector around an axis. Same as glRotate[f|d](angle, a);.

Parameters

  vector | = Vector to use
  angle | = Angle to rotate.
  axis | = Rotation axis.

Returns
  The rotated vector

## ◆ round() [1/2]

template<typename Type >

Vec3< Type > & clan::Vec3< Type >::round | ( |  | ) |

Rounds all components on this vector.

Uses Asymmetric Arithmetic Rounding

Returns
  reference to this object

## ◆ round() [2/2]

template<typename Type >

static Vec3< Type > clan::Vec3< Type >::round | ( | const Vec3< Type > & | vector | ) |
| static

Rounds all components on a vector.

Uses Asymmetric Arithmetic Rounding

Parameters

  vector | = Vector to use

Returns
  The rounded vector

## Member Data Documentation

## ◆ [union]

union { ... } clan::Vec3< Type >

## ◆ [union]

union { ... } clan::Vec3< Type >

## ◆ [union]

union { ... } clan::Vec3< Type >

## ◆ b

template<typename Type >

Type clan::Vec3< Type >::b

## ◆ g

template<typename Type >

Type clan::Vec3< Type >::g

## ◆ r

template<typename Type >

Type clan::Vec3< Type >::r

## ◆ s

template<typename Type >

Type clan::Vec3< Type >::s

## ◆ t

template<typename Type >

Type clan::Vec3< Type >::t

## ◆ u

template<typename Type >

Type clan::Vec3< Type >::u

## ◆ x

template<typename Type >

Type clan::Vec3< Type >::x

Referenced by clan::Vec2< Type >::Vec2(), clan::Vec3< Type >::Vec3(), clan::Vec3< Type >::Vec3(), clan::Vec4< Type >::Vec4(), clan::Vec3< Type >::dot(), clan::Mat4< Type >::look_at(), clan::Vec3< Type >::operator!=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator-(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator<(), clan::operator<<(), clan::Vec3< Type >::operator=(), clan::Vec3< Type >::operator==(), clan::Mat3< Type >::rotate(), clan::Mat4< Type >::rotate(), clan::Mat3< Type >::scale(), clan::Mat4< Type >::scale(), clan::Mat4< Type >::set_translate(), clan::ProgramObject::set_uniform3b(), clan::ProgramObject::set_uniform3f(), clan::ProgramObject::set_uniform3i(), clan::ProgramObject::set_uniform3s(), clan::ProgramObject::set_uniformfv(), clan::ProgramObject::set_uniformiv(), clan::step(), clan::Mat4< Type >::translate(), and clan::Mat4< Type >::translate_self().

## ◆ y

template<typename Type >

Type clan::Vec3< Type >::y

Referenced by clan::Vec2< Type >::Vec2(), clan::Vec3< Type >::Vec3(), clan::Vec3< Type >::Vec3(), clan::Vec4< Type >::Vec4(), clan::Vec3< Type >::dot(), clan::Mat4< Type >::look_at(), clan::Vec3< Type >::operator!=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator-(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator<(), clan::operator<<(), clan::Vec3< Type >::operator=(), clan::Vec3< Type >::operator==(), clan::Mat3< Type >::rotate(), clan::Mat4< Type >::rotate(), clan::Mat3< Type >::scale(), clan::Mat4< Type >::scale(), clan::Mat4< Type >::set_translate(), clan::ProgramObject::set_uniform3b(), clan::ProgramObject::set_uniform3f(), clan::ProgramObject::set_uniform3i(), clan::ProgramObject::set_uniform3s(), clan::step(), clan::Mat4< Type >::translate(), and clan::Mat4< Type >::translate_self().

## ◆ z

template<typename Type >

Type clan::Vec3< Type >::z

Referenced by clan::Vec3< Type >::Vec3(), clan::Vec3< Type >::Vec3(), clan::Vec4< Type >::Vec4(), clan::Vec3< Type >::dot(), clan::Mat4< Type >::look_at(), clan::Vec3< Type >::operator!=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator*=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator+=(), clan::Vec3< Type >::operator-(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator-=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator/=(), clan::Vec3< Type >::operator<(), clan::operator<<(), clan::Vec3< Type >::operator=(), clan::Vec3< Type >::operator==(), clan::Mat3< Type >::rotate(), clan::Mat4< Type >::rotate(), clan::Mat4< Type >::scale(), clan::Mat4< Type >::set_translate(), clan::ProgramObject::set_uniform3b(), clan::ProgramObject::set_uniform3f(), clan::ProgramObject::set_uniform3i(), clan::ProgramObject::set_uniform3s(), clan::step(), clan::Mat4< Type >::translate(), and clan::Mat4< Type >::translate_self().

The documentation for this class was generated from the following files:

- line_ray.h
- line_segment.h
- mat4.h
- size.h
- vec2.h
- vec3.h
- vec4.h